nodes_samples_update
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"alias":"example","title":"example","node":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "alias": "example", "title": "example", "node": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Update a sample object associated to the node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this sample.
Header Parameters
Section titled “Header Parameters”Workspace ID
Request Body
Section titled “Request Body”Serializer for updating a sample.
object
Determine source of object as either ‘local’, ‘inherited’, or ‘descendant’.
The function checks if the given object is:
local: if it is not associated with the current node’s ancestors or descendants.inherited: if it is associated with one of the ancestors of the current node.descendant: if it is associated with one of the descendants of the current node.
Parameters
obj : Sample Object being checked for its source.
Returns
source : str Source of object: - “inherited”: if object is from ancestor node. - “descendant”: if object is from descendant node. - “local”: if object is not associated with current node’s ancestors or descendants.
Return information about a given object, including the count of bound samples and a related URL.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The count of bound samples for the given object (obj).
- “related”: The URL for accessing bound data related to the object.
object
Return information about bound datalinks related to a given object.
The method retrieves information about bound datalinks associated with the object, including the count of distinct datalink values and a URL for accessing the bound datalinks.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The number of distinct values in the “datalink” field
of the bound_data related to the given obj.
- “related”: The URL for accessing the bound datalinks related to
the given obj.
object
Return interactor information of the object’s creator.
Parameters
obj : Sample Object containing the creator information.
Returns
dict Interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Sample Object containing the last editor information.
Returns
dict Interactor information of the last editor.
object
Example generated
{ "alias": "example", "title": "example", "node": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Serializer for updating a sample.
object
Determine source of object as either ‘local’, ‘inherited’, or ‘descendant’.
The function checks if the given object is:
local: if it is not associated with the current node’s ancestors or descendants.inherited: if it is associated with one of the ancestors of the current node.descendant: if it is associated with one of the descendants of the current node.
Parameters
obj : Sample Object being checked for its source.
Returns
source : str Source of object: - “inherited”: if object is from ancestor node. - “descendant”: if object is from descendant node. - “local”: if object is not associated with current node’s ancestors or descendants.
Return information about a given object, including the count of bound samples and a related URL.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The count of bound samples for the given object (obj).
- “related”: The URL for accessing bound data related to the object.
object
Return information about bound datalinks related to a given object.
The method retrieves information about bound datalinks associated with the object, including the count of distinct datalink values and a URL for accessing the bound datalinks.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The number of distinct values in the “datalink” field
of the bound_data related to the given obj.
- “related”: The URL for accessing the bound datalinks related to
the given obj.
object
Return interactor information of the object’s creator.
Parameters
obj : Sample Object containing the creator information.
Returns
dict Interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Sample Object containing the last editor information.
Returns
dict Interactor information of the last editor.
object
Example generated
alias=example&title=example&node=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Serializer for updating a sample.
object
Determine source of object as either ‘local’, ‘inherited’, or ‘descendant’.
The function checks if the given object is:
local: if it is not associated with the current node’s ancestors or descendants.inherited: if it is associated with one of the ancestors of the current node.descendant: if it is associated with one of the descendants of the current node.
Parameters
obj : Sample Object being checked for its source.
Returns
source : str Source of object: - “inherited”: if object is from ancestor node. - “descendant”: if object is from descendant node. - “local”: if object is not associated with current node’s ancestors or descendants.
Return information about a given object, including the count of bound samples and a related URL.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The count of bound samples for the given object (obj).
- “related”: The URL for accessing bound data related to the object.
object
Return information about bound datalinks related to a given object.
The method retrieves information about bound datalinks associated with the object, including the count of distinct datalink values and a URL for accessing the bound datalinks.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The number of distinct values in the “datalink” field
of the bound_data related to the given obj.
- “related”: The URL for accessing the bound datalinks related to
the given obj.
object
Return interactor information of the object’s creator.
Parameters
obj : Sample Object containing the creator information.
Returns
dict Interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Sample Object containing the last editor information.
Returns
dict Interactor information of the last editor.
object
Responses
Section titled “Responses”Serializer for Sample model.
object
Determine source of object as either ‘local’, ‘inherited’, or ‘descendant’.
The function checks if the given object is:
local: if it is not associated with the current node’s ancestors or descendants.inherited: if it is associated with one of the ancestors of the current node.descendant: if it is associated with one of the descendants of the current node.
Parameters
obj : Sample Object being checked for its source.
Returns
source : str Source of object: - “inherited”: if object is from ancestor node. - “descendant”: if object is from descendant node. - “local”: if object is not associated with current node’s ancestors or descendants.
Return information about a given object, including the count of bound samples and a related URL.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The count of bound samples for the given object (obj).
- “related”: The URL for accessing bound data related to the object.
object
Return information about bound datalinks related to a given object.
The method retrieves information about bound datalinks associated with the object, including the count of distinct datalink values and a URL for accessing the bound datalinks.
Parameters
obj : Sample Object containing information about a sample.
Returns
dict
Dictionary containing:
- “count”: The number of distinct values in the “datalink” field
of the bound_data related to the given obj.
- “related”: The URL for accessing the bound datalinks related to
the given obj.
object
Return interactor information of the object’s creator.
Parameters
obj : Sample Object containing the creator information.
Returns
dict Interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : Sample Object containing the last editor information.
Returns
dict Interactor information of the last editor.
object
Example generated
{ "alias": "example", "title": "example", "node": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
object
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "not_supported", "message": "This field is not supported." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "code": "not_allowed", "message": "The member's role does not allow update." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
